package dtu.se1.model;

import java.awt.Graphics;
import java.util.ArrayList;
import java.util.List;
import java.util.Observable;

public class Polyline {
	List<Point> points = new ArrayList<>();

	public List<Point> getPoints() {
		return points;
	}

	public void add(Point p) {
		points.add(p);
	}

	public int getSize() {
		return points.size();
	}

	public int[] getXPoints() {
		return points.stream().mapToInt(p -> p.getX()).toArray();
	}

	public int[] getYPoints() {
		return points.stream().mapToInt(p -> p.getY()).toArray();
	}

	protected void draw(Graphics g) {
		g.drawPolyline(getXPoints(), getYPoints(), getSize());
	}
}
